6.0.0-git
2019-08-17

[#766] Whups as Helpdesk
Summary Whups as Helpdesk
Queue Whups
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester mbydalek (at) mobilemini (dot) com
Created 2004-11-04 (5399 days ago)
Due
Updated 2008-06-13 (4082 days ago)
Assigned 2004-11-04 (5399 days ago)
Resolved
Milestone
Patch No

History
2008-06-13 16:07:32 Jan Schneider Patch ⇒ Yes
 
2008-06-13 16:02:56 Jan Schneider Patch ⇒ Yes
 
2008-06-13 16:02:35 Jan Schneider Patch ⇒ Yes
 
2006-09-17 18:50:06 Chuck Hagenbuch Taken from Horde DevelopersHorde Developers
State ⇒ Accepted
 
2006-05-25 02:56:19 Chuck Hagenbuch Deleted Original Message
 
2004-11-30 14:23:59 mbydalek (at) mobilemini (dot) com Comment #5
New Attachment: whups.helpdesk.CORRECT.tar.gz Download
Reply to this comment
Oops! I just looked at my files again because what you did is the 
exact same thing I did, but it looks like my patches were backwards!   
I seem to have transposed the orig and modified versions, so here is 
the correct patch.



I already had done an update against this morning, so there may be 
something incorrect, but for the most part it looks like nothing has 
changed since I last did this and these should all work.



Enjoy.
2004-11-30 04:32:59 kglueck (at) viz (dot) tamu (dot) edu Comment #4
New Attachment: summary.php.patch Download
Reply to this comment
I liked Mike's idea for listing the unassigned tickets in the 
mybugs.php code.  However, I also like using the portal/block layout 
so I incorporated his code into the whups/lib/Block/summary.php code 
with a couple of minor adjustments to match the existing code 
structure there in summary.php.  FWIW, the attached patch was against 
rev 1.20 of summary.php



Kevin
2004-11-22 00:36:34 david (at) tmv (dot) gov (dot) tw Comment #3 Reply to this comment
Hi there:

In many places,The bug tracking system is very similar to a customer 
service tracking system.

First,customer would like to know what is the situation of my ticket is.

Second,history is good and always welcome for customer .

Third,Who handle my problem ?



However ,Most of customer's question within personel information 
should not be public and search able by other customers.



In such situation,the search scope for guest should be restricted.

If someone wanna WHUPS act as a service tracking system.My opion will 
be :To see their own ticket,the guest *MUST* provides ticket number 
and mail address that shown in the received notification message.
2004-11-04 16:31:10 Chuck Hagenbuch State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2004-11-04 16:31:07 mbydalek (at) mobilemini (dot) com Comment #2
New Attachment: whups.helpdesk.tar.gz
Reply to this comment
This was taken from an update done 15 mins. ago.
2004-11-04 16:30:03 mbydalek (at) mobilemini (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Whups as Helpdesk
Queue ⇒ Whups
Reply to this comment
The following has been implemented by the patches in the attachment:



* Turba is integrated to keep track of ticket user information.  What 
I did was store the Turba ID as the ticket's user_id_requester.  Each 
time it was referenced, I just did a getContact (actually a Whups 
function) to get their information to display.



* When a ticket is created from a guest point of view, I have them 
just type in their userid (which happens to also be their e-mail 
'userid@domain.com'). This change could be expanded to be a 
configuration option to allow an Admin. to choose how guest tickets 
are stored.



* The block layout (along with mybugs) has an "Unassigned Tickets" 
listing so you can see all the tickets that haven't been picked up yet 
only from the queues which you are responsible for.  I also modified 
it to display extra information about the ticket specifically relating 
to the user.



* Added a "Take Ticket" link to make it easier to actually grab a 
ticket from the queue.



* Added Whups_Ticket::ticketNumberFormat() to make the tickets a 
little easier to read as I created a custom numbering system (BranchID 
- year - ticketID).



* The update tab was changed to allow a ticket to go back into the 
queue if the person wasn't able to handle it, accidentally grabbed it, 
etc.



* The update tab actually makes you an owner if you choose "Assigned" 
- but it's hardcoded which at the moment I don't like, but it works.



* A purely custom addition was that of using the turba field 
['branchid'] throughout random parts of the code.  This is because we 
have a lot of branches so this helps us sort out tickets.  Of course 
this should be removed for general usage.



* Modified Whups::formatUser() to take the ID given and see if has an 
identity and if not, then look it up using Turba to pull their display 
name and/or e-mail address.



I'm sure all the changes aren't listed here, but I'll post them if I 
think of them.

Saved Queries